<template>
    <div class="Bubble" :class="classObject">
        <div v-if="type === 'GitLab'" class="content">
            <ContentGitlab 
                :content="content"
            />
        </div>
        <div v-else class="content">
            <SkillList
                :content="content"
                title='Mein Techstack'
                description='Dies ist eine Liste mit Technologien, die bei meiner täglichen Arbeit zum Einsatz kommen.'
            />
        </div>
    </div>
</template>

<script>
export default {
    props: ['content', 'type', 'title', 'link'],
    data: {
        classObject: {
            isAnimation: ''
        }
    },
    computed: {
        classObject: function() {
            if(this.type === 'GitLab') {
                return this.isAnimation = 'animation'
            }
        }
    }

}
</script>

<style scoped>
    .Bubble {
        width: 100%;
        display: flex;
        position: relative;
        margin: 0 0 2rem;
        overflow: hidden;
        background: #111217;
        border-radius: 1rem;
        transition: all .25s;
    }
    .animation:hover {
        transform: translate(1rem);
        box-shadow: 0 1rem 2rem rgba(0, 0, 0, .3);
    }
    .content{
        width: 100%;
        display: flex;
        flex-direction: column;
        padding: 2rem;
    }

</style>